org.aspectj.lang.reflect

## Enum AdviceKind

- java.lang.Object
- - java.lang.Enum<AdviceKind>
  - - org.aspectj.lang.reflect.AdviceKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AdviceKind>

    public enum AdviceKind
    extends java.lang.Enum<AdviceKind>

The different kinds of advice in AspectJ

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AFTER`
`AFTER_RETURNING`
`AFTER_THROWING`
`AROUND`
`BEFORE`

### Method Summary

Methods
`static AdviceKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AdviceKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BEFORE

    public static final AdviceKind BEFORE

#### AFTER

    public static final AdviceKind AFTER

#### AFTER_RETURNING

    public static final AdviceKind AFTER_RETURNING

#### AFTER_THROWING

    public static final AdviceKind AFTER_THROWING

#### AROUND

    public static final AdviceKind AROUND

### Method Detail

#### values

    public static AdviceKind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AdviceKind c : AdviceKind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AdviceKind valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null